{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 25,
   "metadata": {
    "scrolled": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 646472 characters]\n",
      "text/plain": [
       "<Figure size 1332x12852 with 17 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    }
   ],
   "source": [
    "#%load_ext autoreload\n",
    "%autoreload 2\n",
    "\n",
    "import numpy as np\n",
    "from common import parse_yaml_cfg\n",
    "from plot_seq import plot_noise_regions_main\n",
    "\n",
    "inDir = \"/home/kevin/temp/p_ac_3e\"\n",
    "cfgFn = \"p_ac.yml\"\n",
    "pitchL = [60,61,62,63,64,65,66,67,68,69,70,71,72]\n",
    "pitchL = np.arange(48,60)\n",
    "pitchL = np.arange(36,60)\n",
    "pitchL = [40,41,42,43,44,45,46,47,48,49,50,51,52,60,61,62,63]\n",
    "\n",
    "minDurMs = 800.0\n",
    "minDb = 10.0\n",
    "noiseLimitPct = 5.0\n",
    "\n",
    "cfg = parse_yaml_cfg( cfgFn )\n",
    "\n",
    "plot_noise_regions_main( inDir, cfg, pitchL, minDurMs, minDb, noiseLimitPct )"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
